#ifndef MEMORY_ROUTINES_H_
#define MEMORY_ROUTINES_H_

#include <stdlib.h>

/*******************************************************************/
/* MODIFIES: None.                                                 */
/* REQUIRES:                                                       */
/*     size -- amount of space needs to be allocated.              */ 
/* RETURNS:                                                        */
/*     Pointer to allocated block of size size.                    */ 
/*******************************************************************/
static char *Mymalloc(size)
int size;
{
    void No_memory_panic();

    char *temp;

    if (size <= 0) {
        fprintf(stderr,"\n Severe. Trying to allocate 0 bytes. \n");
        return(NULL);
    }

    temp = malloc(size);

    if (temp == NULL)
        No_memory_panic();
    return(temp);
}


#endif /*MEMORY_ROUTINES_H_*/
